/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 2018-10-08 17:45:39 UTC)
 * on 2018-11-27 at 23:47:32 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Specific fields for product posts.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LocalPostProduct extends com.google.api.client.json.GenericJson {

  /**
   * Lower price of the product if the product has a price range, or the price for the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Money lowerPrice;

  /**
   * Name of the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String productName;

  /**
   * Upper price of the product. In case price is not a range, lower_price is equal to upper_price.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Money upperPrice;

  /**
   * Lower price of the product if the product has a price range, or the price for the product.
   * @return value or {@code null} for none
   */
  public Money getLowerPrice() {
    return lowerPrice;
  }

  /**
   * Lower price of the product if the product has a price range, or the price for the product.
   * @param lowerPrice lowerPrice or {@code null} for none
   */
  public LocalPostProduct setLowerPrice(Money lowerPrice) {
    this.lowerPrice = lowerPrice;
    return this;
  }

  /**
   * Name of the product.
   * @return value or {@code null} for none
   */
  public java.lang.String getProductName() {
    return productName;
  }

  /**
   * Name of the product.
   * @param productName productName or {@code null} for none
   */
  public LocalPostProduct setProductName(java.lang.String productName) {
    this.productName = productName;
    return this;
  }

  /**
   * Upper price of the product. In case price is not a range, lower_price is equal to upper_price.
   * @return value or {@code null} for none
   */
  public Money getUpperPrice() {
    return upperPrice;
  }

  /**
   * Upper price of the product. In case price is not a range, lower_price is equal to upper_price.
   * @param upperPrice upperPrice or {@code null} for none
   */
  public LocalPostProduct setUpperPrice(Money upperPrice) {
    this.upperPrice = upperPrice;
    return this;
  }

  @Override
  public LocalPostProduct set(String fieldName, Object value) {
    return (LocalPostProduct) super.set(fieldName, value);
  }

  @Override
  public LocalPostProduct clone() {
    return (LocalPostProduct) super.clone();
  }

}
